/* 
   -- New project -- 
    
   This source code of graphical user interface  
   has been generated automatically by RemoteXY editor. 
   To compile this code using RemoteXY library 2.2.5 or later version  
   download by link http://remotexy.com/en/library/ 
   To connect using RemoteXY mobile app by link http://remotexy.com/en/download/                    
     - for ANDROID 3.7.1 or later version; 
     - for iOS 1.0.7 or later version; 
     
   This source code is free software; you can redistribute it and/or 
   modify it under the terms of the GNU Lesser General Public 
   License as published by the Free Software Foundation; either 
   version 2.1 of the License, or (at your option) any later version.     
*/ 

////////////////////////////////////////////// 
//        RemoteXY include library          // 
////////////////////////////////////////////// 

// определение режима соединения и подключение библиотеки RemoteXY. В данном случае используется Hardware Serial  
#define REMOTEXY_MODE__HARDSERIAL

#include <RemoteXY.h>  //подключаем библиотеку сервиса RemoteXY

// настройки соединения, порт и скорость соединения. Я использую порт Serial1, что бы исключить проблемы при загрузке программы в ардуино и не отключать блютуз модуль каждый раз при загрузке.   
#define REMOTEXY_SERIAL Serial1 
#define REMOTEXY_SERIAL_SPEED 9600 


// конфигурация интерфейса. Начиная с этой строки ничего не менять.  
#pragma pack(push, 1) 
uint8_t RemoteXY_CONF[] =  //в этом массиве хранятся все настройки интерфейса, положение, размер, цвет и названия переменных всех элементов. 
  { 1,0,12,0,6,5,0,1,0,79
  ,8,12,12,2,88,0 }; 
   
// структура определяет все переменные вашего интерфейса управления  
struct { 

    // input variable
  uint8_t button_1; // =1 если кнопка нажата, иначе =0. Это та самая кнопка которую мы добавили на рабочее поле. 

    // other variable
  uint8_t connect_flag;  // =1 if wire connected, else =0. Этот "флаг" очень полезная переменная, её тоже можно использовать.

} RemoteXY; 
#pragma pack(pop) //эта строка завершает настройку интерфейса. Еще раз напомню, между #pragma pack(push, 1) и #pragma pack(pop) ничего не менять.  

///////////////////////////////////////////// 
//           END RemoteXY include          // 
///////////////////////////////////////////// 

#define PIN_BUTTON_1 13 //поскольку мы привязали кнопку к выводу 13, то он-лайн редактор сам добавляет константу PIN_BUTTON_1 и в функции setup() настраивает её как выход.


void setup()  
{ 
  RemoteXY_Init (); //запускаем обмен данными между смартфоном и ардуино.   
  pinMode (PIN_BUTTON_1, OUTPUT);   
  // TODO you setup code    
} 

void loop()  
{  
  RemoteXY_Handler (); //этот обработчик запускает обмен данными между ардуино и смартфоном в каждом цикле loop(), именно после его вызова данные от элементов управления передаются в ардуино, а данные элементов индикации - в смартфон.
   
  digitalWrite(PIN_BUTTON_1, (RemoteXY.button_1==0)?LOW:HIGH); //этот код так же сгенерирован потому, что стоит привязка к 13 выводу. Светодиод на плате загорится когда будет нажата кнопка.
   
  // ну а дальше размещаем остальной код программы, по необходимости. 
  // используйте структуру RemoteXY для передачи данных 
}
